import { AfterViewInit, ElementRef, OnChanges, OnInit, SimpleChanges } from "@angular/core";
export declare class QMSDropdownMenuItem implements OnInit, AfterViewInit, OnChanges {
    private ele;
    menuItemContent: ElementRef;
    selected: boolean;
    constructor(ele: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
